version: '3.8'

services:
  gisp-scraper:
    build: .
    ports:
      - "8000:8000"
    environment:
      - SELENIUM_HUB_URL=http://selenium-hub:4444
    depends_on:
      - selenium-hub
      - selenium-node-chrome

  selenium-hub:
    image: selenium/hub:4.16.1
    ports:
      - "4444:4444"

  selenium-node-chrome:
    image: selenium/node-chrome:4.16.1
    environment:
      - SE_EVENT_BUS_HOST=selenium-hub
      - SE_EVENT_BUS_PUBLISH_PORT=4442
      - SE_EVENT_BUS_SUBSCRIBE_PORT=4443
      - SHM_SIZE=2g
    volumes:
      - /dev/shm:/dev/shm
    depends_on:
      - selenium-hub
